Create Team Group
https://app.fossa.com/api/teams/groupsCreate a new team group
Request body (required) · application/json
namestringrequiredName of the team group
defaultRoleIdintegerrequiredDefault role ID for team group members
Responses
200Team group created successfullyidintegerTeam group ID
namestringTeam group name
defaultRoleIdintegerDefault role ID for members
400Bad RequestuuidstringUnique identifier associated with the error
codeintegerfossa specific error code
messagestringmessage associated with this error
namestringname of the error
httpStatusCodeintegerhttp status code number
403ForbiddenuuidstringUnique identifier associated with the error
codeintegerfossa specific error code
messagestringmessage associated with this error
namestringname of the error
httpStatusCodeintegerhttp status code number
500Server ErroruuidstringUnique identifier associated with the error
codeintegerfossa specific error code
messagestringmessage associated with this error
namestringname of the error
httpStatusCodeintegerhttp status code number
Try this endpoint
Build a request and run it against app.fossa.com.
Stored in this browser for 24 hours. Try It uses a docs proxy for CORS and does not store tokens server-side.
POST https://app.fossa.com/api/teams/groupscurl --request POST \ --url 'https://app.fossa.com/api/teams/groups' \ --header 'accept: application/json' \ --header 'authorization: Bearer YOUR_API_TOKEN' \ --header 'content-type: application/json' \ --data '{ "name": "Engineering Team Group", "defaultRoleId": 2}'Real request. Mutating methods can change data.